using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(100, new Type[] { typeof(int) });

            dt1.TableName = "Band 0";

            this.FixData(this.dt1);

            this.ultraGrid1.SetDataBinding(dt1, null);
        }


        private void FixData(DataTable dt)
        {
            foreach (DataRow row in dt.Rows)
            {
                row["int32 1"] = DummyDataCreator.RandomInt(0, 4);
            }

            dt.AcceptChanges();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            ValueList vl = new ValueList();
            vl.ValueListItems.Add(0, "Apple");
            vl.ValueListItems.Add(1, "Banana");
            vl.ValueListItems.Add(2, "Cherry");
            vl.ValueListItems.Add(3, "Grape");
            vl.ValueListItems.Add(4, "Watermelon");
            band.Columns["Int32 1"].ValueList = vl;
            band.Columns["Int32 1"].CellActivation = Activation.ActivateOnly;
        }
    }
}